%set_verify_elf_method unresolved=relaxed
Name: kbfx
Version: 0.4.9.3.1
Release: alt4

Summary: KBFX is an alternative to the classical K-Menu button and it's menu
Summary(ru_RU.UTF-8): Альтернативное меню KDE
License: GPL
Group: Graphical desktop/KDE
URL: http://www.kbfx.org/

Packager: Andrey Cherepanov <cas@altlinux.ru>

Source: %name-%version.tar.bz2
Patch0: %name.patch

%define prefix	%(kde-config --prefix)
BuildPreReq: menu-devel desktop-file-utils
BuildRequires:	cmake, automake, libtool
BuildRequires:	glibc-devel, libstdc++-devel
BuildRequires: gcc-c++
BuildRequires: kdelibs-devel libqt3-devel libpng-devel libjpeg-devel
Requires(post,postun): desktop-file-utils
Provides: %name = %version-%release

%description
KBFX is an alternative to the classical K-Menu button and it's menu.
It improves the user experience by enabling the user to set a bigger (and
thus more visible) start button and by finally replacing the Win95-like
K-Menu with the Spinx bar.
If you still want the old menu, because you're used to it, it is still
available as an option in kbfx.

%prep
%setup -n %name-%version
%patch0 -p1
rm -Rf build
mkdir build
cd build
export DESTDIR=%buildroot
cmake ../ -DCMAKE_INSTALL_PREFIX=%{prefix}

%build
cd build

%install
cd build
make DESTDIR=%buildroot install

%find_lang --with-kde kbfxconfigapp

%post
%post_ldconfig
%update_desktopdb
%update_menus

%postun
%postun_ldconfig
%clean_desktopdb
%clean_menus

%files -f build/kbfxconfigapp.lang
%doc doc/*
%doc %_datadir/doc/HTML/en/common/*
%_bindir/*
%_libdir/*
%_includedir/kbfx/*
%_datadir/apps/kbfx/*
%_datadir/apps/kbfxconfigapp/*
%_datadir/apps/kicker/applets/*.desktop
%_datadir/apps/konqueror/servicemenus/*.desktop
%_datadir/applications/kde/*
%_datadir/mimelnk/*
%_iconsdir/hicolor/128x128/apps/*
%_niconsdir/*
%_miconsdir/*

%changelog
* Wed Apr 16 2008 Andrey Cherepanov <cas@altlinux.ru> 0.4.9.3.1-alt4
- Fix post_ldconfig/postun_ldconfig

* Fri Feb 29 2008 Andrey Cherepanov <cas@altlinux.ru> 0.4.9.3.1-alt3
- Fix icon pathes

* Mon Oct 22 2007 Andrey Cherepanov <cas@altlinux.ru> 0.4.9.3.1-alt2
- Fix icon pathes

* Sat Jun 09 2007 Andrey Cherepanov <cas@altlinux.ru> 0.4.9.3.1-alt1
- New version

* Thu May 10 2007 Andrey Cherepanov <cas@altlinux.ru> 0.4.9.2rc4-alt2
- Fix build (update menus) 

* Mon May 07 2007 Andrey Cherepanov <cas@altlinux.ru> 0.4.9.2rc4-alt1
- Initial implementation
